### Method

# Camel Session set_network_monitor

since: 3.22

#### Declaration [src]

    void
    camel_session_set_network_monitor (
      CamelSession* session,
      GNetworkMonitor* network_monitor
    )

#### Description [src]

Sets a network monitor instance for the `session`. This can be used to override which `GNetworkMonitor` should be used to check network availability and whether a server is reachable.

Available since: 3.22

Sets property | `Camel.Session:network-monitor`

#### Parameters

`network_monitor`

  Type: `GNetworkMonitor`

  A `GNetworkMonitor` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.